=== debian/changelog ===
nerdlog (1.10.0-1) sid; urgency=low

  * Merging upstream version 1.10.0.
  * Removing rivo-tview.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 23:22:40 +0200

nerdlog (1.8.2-2) sid; urgency=low

  * Using codename instead of suitname in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 22:54:30 +0200

nerdlog (1.8.2-1) sid; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 May 2025 11:41:46 +0200
