=== debian/control ===
Source: nerdlog
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 gawk <!nocheck>,
 golang-any,
 golang-github-dimonomid-clock-dev,
 golang-github-dimonomid-ssh-config-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-gobwas-glob-dev,
 golang-github-juju-errors-dev,
 golang-github-mattn-go-runewidth-dev,
 golang-github-rivo-tview-dev,
 golang-github-rivo-uniseg-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-clipboard-dev,
 golang-golang-x-crypto-dev,
 golang-yaml.v2-dev,
 libx11-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/dimonomid/nerdlog
Vcs-Browser: https://forgejo.debian.net/nerdlog/nerdlog
Vcs-Git: https://forgejo.debian.net/nerdlog/nerdlog
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/dimonomid/nerdlog

Package: nerdlog
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: multi-host, remote, TUI log viewer
 Nerdlog is a fast, remote-first, multi-host TUI log viewer with timeline
 histogram and no central server. Loosely inspired by Graylog/Kibana, but
 without the infrastructure needs behind it.
