=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	mkdir -p _build/src/github.com/dimonomid/nerdlog/core
	cp -a core/nerdlog_agent.sh _build/src/github.com/dimonomid/nerdlog/core

execute_before_dh_auto_test:
	mkdir -p _build/src/github.com/dimonomid/nerdlog/core
	cp -a core/*_testdata _build/src/github.com/dimonomid/nerdlog/core

	mkdir -p _build/src/github.com/dimonomid/nerdlog/cmd/nerdlog
	cp -a cmd/nerdlog/*_testdata _build/src/github.com/dimonomid/nerdlog/cmd/nerdlog

override_dh_auto_test:
	# some checks need upstream fixes
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_after_dh_auto_install:
	# remove unused files
	rm -f debian/nerdlog/usr/bin/generate_syslog
	rm -f debian/nerdlog/usr/bin/journalctl_mock
