=== debian/watch ===
version=4
https://github.com/dimonomid/nerdlog/tags .*/v?(\d.*)@ARCHIVE_EXT@
